<script type="text/javascript" src="/f/js/jquery.js"></script>
<script type="text/javascript" src="/f/js/jquery.a.js"></script>
{literal}
<script type="text/javascript">
function liFormat (row, i, num) {
  var result = '<span class="pic_">'+row[2]+'</span><span class="name_">'+row[0]+'</span><span class="price_">'+ row[1] +'</span><br /><span class="desc_">'+row[3]+'</span>';
  return result;
}
function selectItem(li) {

	if( !!li.extra ) var sValue = li.extra[1];
	else var sValue = li.selectValue;
	document.getElementById('search_form').submit();
}


$(document).ready(function(){
  $("#searchstring").autocomplete("/f/includes/new_search.php", {
    delay:10,
    minChars:2,
    matchSubset:1,
    autoFill:false,
    matchContains:1,
    selectFirst:true,
    formatItem:liFormat,
    maxItemsToShow:15,
    onItemSelect:selectItem,
extraParams :{lang : "ru", curr: 3  }
  });

});
</script>
{/literal}